Create a conversion quote
Headers
- Type: stringX
- Api - Key requiredAPI Key
Body·
required
application/json
- Type: numberamountrequired
Amount in source currency to convert
- enumsource
Currency const:NGNrequiredSource currency
values- N
G N
- Type: stringenumtarget
Currency requiredTarget currency
values- U
S D - E
U R - G
B P - U
S D T - U
S D C
Responses
- application/json
- application/json
- application/json
Request Example for post/v1/quotes
curl https://api.esca.finance/v1/quotes \
--request POST \
--header 'X-Api-Key: ' \
--header 'Content-Type: application/json' \
--data '{
"amount": 500000,
"sourceCurrency": "NGN",
"targetCurrency": "USD"
}'
{
"status": true,
"message": "Quote created successfully.",
"data": {
"quoteId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"sourceCurrency": "NGN",
"targetCurrency": "USD",
"sourceAmount": 500000,
"targetAmount": 312.5,
"appliedRate": 1600,
"status": "PENDING",
"expiresAt": "2026-02-15T12:00:30.000Z",
"executedAt": "2026-02-15T12:00:25.000Z"
}
}